#
# spec file for package gedit-plugins
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2009 Dominique Leuenberger, Almere, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gedit-plugins
Summary:        A collection of plugins for gedit
License:        GPL-2.0+
Group:          Productivity/Editors/Other
Version:        3.10.0
Release:        0
Source:         http://download.gnome.org/sources/gedit-plugins/3.10/%{name}-%{version}.tar.xz
Url:            http://live.gnome.org/GeditPlugins
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkg-config
BuildRequires:  translation-update-upstream
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(dbus-python)
BuildRequires:  pkgconfig(gedit) >= 3.7.1
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.9.0
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 3.9.2
BuildRequires:  pkgconfig(libgit2-glib-1.0) >= 0.0.6
BuildRequires:  pkgconfig(libpeas-gtk-1.0) >= 1.7.0
BuildRequires:  pkgconfig(vte-2.90)
Requires:       %{name}-lang = %{version}
Requires:       gedit
# For dashboard plugin
Requires:       zeitgeist
Enhances:       gedit
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Here follows a list of plugins currently available in gedit-plugins:

 * Bracket Completion Add automatically a closing bracket when you
   insert one
 * Charmap Select characters from a charactermap
 * Code Comment Comment or uncomment blocks of code
 * Color picker Select and insert a color from a dialog (for html,
   css, php)
 * Join lines/ Split lines Join or split multiple lines through Ctrl+J
   and Ctrl+Shift+J
 * Session Saver Allow to bookmark working sessions in order to get
   them back for further use
 * Smart Spaces Allow to unindent like if you were using tabs while
   you're using spaces
 * Show tabbar A very basic plugin which shows or hides the gedit tabbar
 * Terminal A simple terminal widget accessible from the bottom panel

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure
%__make %{?jobs:-j%jobs} V=1

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%find_lang %{name}
%find_lang gedit %{name}.lang
%fdupes %{buildroot}/%{_datadir}/gedit/plugins
%fdupes %{buildroot}/%{_libdir}/gedit/plugins

%clean
rm -rf %{buildroot}

%post
%glib2_gsettings_schema_post

%postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
# Common files
%{_libdir}/gedit/plugins/gpdefs.py*
## Explicitly list all plugins so we know when we miss one
# bookmarks
%{_libdir}/gedit/plugins/bookmarks.plugin
%{_libdir}/gedit/plugins/libbookmarks.so
# bracketcompletion
%{_libdir}/gedit/plugins/bracketcompletion.plugin
%{_libdir}/gedit/plugins/bracketcompletion.py*
# charmap
%{_libdir}/gedit/plugins/charmap.plugin
%{_libdir}/gedit/plugins/charmap/
# codecomment
%{_libdir}/gedit/plugins/codecomment.plugin
%{_libdir}/gedit/plugins/codecomment.py*
# colorpicker
%{_libdir}/gedit/plugins/colorpicker.plugin
%{_libdir}/gedit/plugins/colorpicker.py*
# colorschemer
%{_libdir}/gedit/plugins/colorschemer.plugin
%{_libdir}/gedit/plugins/colorschemer/
%{_datadir}/gedit/plugins/colorschemer/
# commander
%{_libdir}/gedit/plugins/commander.plugin
%{_libdir}/gedit/plugins/commander/
%{_datadir}/gedit/plugins/commander/
# dashboard
%{_libdir}/gedit/plugins/dashboard.plugin
%{_libdir}/gedit/plugins/dashboard/
# drawspaces
%{_libdir}/gedit/plugins/drawspaces.plugin
%{_libdir}/gedit/plugins/libdrawspaces.so
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.drawspaces.gschema.xml
# git
%{_libdir}/gedit/plugins/git.plugin
%{_libdir}/gedit/plugins/git/
# joinlines
%{_libdir}/gedit/plugins/joinlines.plugin
%{_libdir}/gedit/plugins/joinlines.py*
# multiedit
%{_libdir}/gedit/plugins/multiedit.plugin
%{_libdir}/gedit/plugins/multiedit/
# smartspaces
%{_libdir}/gedit/plugins/smartspaces.plugin
%{_libdir}/gedit/plugins/smartspaces.py*
# synctex
%{_libdir}/gedit/plugins/synctex.plugin
%{_libdir}/gedit/plugins/synctex/
# terminal
%{_libdir}/gedit/plugins/terminal.plugin
%{_libdir}/gedit/plugins/terminal.py*
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.terminal.gschema.xml
# textsize
%{_libdir}/gedit/plugins/textsize.plugin
%{_libdir}/gedit/plugins/textsize/
# wordcompletion
%{_libdir}/gedit/plugins/wordcompletion.plugin
%{_libdir}/gedit/plugins/libwordcompletion.so
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.wordcompletion.gschema.xml

%files lang -f %{name}.lang

%changelog
